# Generated from wrap_it-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wrap_it

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: This library provides set of classes and modules with simple DSL for quick and easy creating html helpers with your own DSL. It's usefull for implementing CSS frameworks, or making your own
License: MIT
URL: https://github.com/cybernetlab/wrap_it
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(redcarpet) >= 3.0
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rspec-html-matchers) >= 0.4
# BuildRequires: rubygem(rspec-html-matchers) < 1
BuildArch: noarch

%description
Set of classes and modules for creating HTML helpers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/config.ru
%{gem_libdir}
%{gem_instdir}/log
%{gem_instdir}/sections_explained.md
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.rails4
%{gem_instdir}/Gemfile.sinatra
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/wrap_it.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.2-1
- Initial package
